package com.unissoft.pushMsg;

import com.unissoft.utils.GetBeanUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.web.client.RestTemplate;

import java.net.URL;
import java.util.Date;

/**
 * @author qingsong.han
 * @description: 推送 异常闯入/入侵
 * @create 2022-10-14 11:03
 */
@Slf4j
@Service
public class AlarmDSServiceImpl implements AlarmDSService {

    @Override
    public void pushLCommand(Integer lCommand) {
        // 获取spring RestTemple bean
        RestTemplate restTemplate = (RestTemplate) GetBeanUtil.getBean("restTemplate");
        // get push class AddressModel bean
        AddressModel addressModel = (AddressModel) GetBeanUtil.getBean("addressModel");
        // MultiValueMap requestEntity
        MultiValueMap<String, Object> requestEntity = new LinkedMultiValueMap<>();
        // 报警类型(异常闯入/入侵) int 4354
        requestEntity.add("sAlarmType", lCommand);
        // 报警时间
        requestEntity.add("alarmNow", new Date());
        // 设备ip
        requestEntity.add("deviceIP", addressModel.getDeviceIP());
        // 机构编码
        requestEntity.add("orgCode", addressModel.getOrgCode());
        log.info("报警类型 int: {}", requestEntity);
        // push of post for object
        Object object = restTemplate.postForObject(addressModel.getPushToIntrusion(), requestEntity, Object.class);
        log.info("AlarmDSServiceImpl push alarm result: {}", object);
    }
}
